<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: ConfirmView_success.class.php,v 1.1 2005/06/20 09:31:25 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	ConfirmView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	ConfirmView
*/
class ConfirmView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
		
        $renderer->setAttribute('exam_admin', $request->getAttribute('exam_admin'));
        $renderer->setAttribute('count', $request->getAttribute('count'));
        $renderer->setAttribute('rid', $request->getAttribute('rid'));
        $renderer->setAttribute('count_student', $request->getAttribute('count_student'));
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));
        $renderer->setAttribute('sed', $request->getAttribute('sed'));
 
		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Confirm_success.php');
		} else {
        	$renderer->setTemplate('Confirm_success_pc.php');
		}

        return $renderer;

    }

}

?>